<template>
  <div class="screen-common-component">
    <ScreenComHeader :module-id="moduleId" title="质量异常" />
    <dv-scroll-board
      :config="config"
      style="width: 100%; height: calc(100% - 32px)"
    />
  </div>
</template>

<script lang="ts" setup>
import ScreenComHeader from "@/views/screens/configs/screenComHeader.vue";
import { qualityException } from "@/api/screens";

const config = ref({});

const props = defineProps({
  moduleId: {
    type: String,
    required: true,
  },
});

onMounted(async () => {
  let res = await qualityException();
  if (res.data.length > 0) {
    let dicts = {
      materlName: "物料名称",
      // orderCode: "编码",
      materialCode: "物料编码",
      workOrderCode: "工单编号",
    };

    let bigData: any[] = [];
    res.data.forEach((item: any) => {
      let row = [
        item.materlName,
        // item.orderCode,
        item.materialCode,
        item.workOrderCode,
      ];
      bigData.push(row);
    });

    config.value = {
      header: Object.values(dicts),
      data: bigData,
      // index: true,
      // columnWidth: [50],
      align: ["left"],
      carousel: "page",
      click: (row: any, index: number) => {
        console.log("mouseover", row, index);
      },
    };
  }
});
</script>
